{
  "custom": {},
  "params": {
    "url": "value"
  },
  "propConfig": {
    "params.url": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 50,
      "width": 723
    }
  },
  "root": {
    "children": [
      {
        "events": {
          "component": {
            "onActionPerformed": {
              "config": {
                "page": "{view.params.url}"
              },
              "scope": "C",
              "type": "nav"
            }
          }
        },
        "meta": {
          "name": "MCM Button"
        },
        "position": {
          "basis": "34px",
          "grow": 1
        },
        "propConfig": {
          "props.text": {
            "binding": {
              "config": {
                "path": "view.params.url"
              },
              "transforms": [
                {
                  "expression": "upper(right(left({value},6),5))",
                  "type": "expression"
                }
              ],
              "type": "property"
            }
          }
        },
        "type": "ia.input.button"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "direction": "column"
    },
    "type": "ia.container.flex"
  }
}